#
# spec file for package enlightenment-profiles-openSUSE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           enlightenment-profiles-openSUSE
Version:        20160622
Release:        lp150.1.3
Summary:        Enlightenment openSUSE profiles
License:        BSD-2-Clause
Group:          System/GUI/Other
Url:            https://github.com/simotek/enlightenment-openSUSE-profiles
Source:         enlightenment-profiles-openSUSE-%{version}.tar.xz
BuildRequires:  eet
# The profile needs default.edj, it presumes it is the right default.edj for the theme
Requires:       enlightenment-theme-dft
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Conflicts:      e-profiles-openSUSE
Conflicts:      e17-profiles-openSUSE
# At recomendation of DimStar, add obsoletes but not Provides, this way people being
#  auto upgraded by the enlightenment pattern will be upgraded without any issues and
#  people who have manually installed e17 will be able to keep it
Obsoletes:      e-profiles-openSUSE
Obsoletes:      e17-profiles-openSUSE

%description
openSUSE variant of profiles for enlightenment.

%prep
%setup -q -n enlightenment-profiles-openSUSE-%{version}

%build
make

%install
make install DESTDIR="%buildroot"

%files
%defattr(-,root,root)
%doc README.md LICENSE AUTHORS
%{_datadir}/enlightenment

%changelog
* Wed Jun 22 2016 sflees@suse.de
- boo#983953 alt-F4 and Ctrl-Alt-X keybindings don't match other
  desktops
* Thu Oct 22 2015 simon@simotek.net
- tidy up for leap (remove extra tasks module from shelf) remove
  some modules that the wizard should load.
* Wed Jun 10 2015 simon@simotek.net
- At recomendation of DimStar, Obsolete but don't provide e17 profiles
* Mon Sep 22 2014 simon@simotek.net
- e19 version of profiles for openSUSE 13.2
  Adds a dock profile
  uses and configures the package config module
* Fri Feb 21 2014 simon@simotek.net
- require enlightenment-theme-dft for default.edj in e18
  Don't obsolete old packages
* Tue Feb 18 2014 simon@simotek.net
- Conflict with old e17
* Thu Dec 19 2013 sleep_walker@suse.cz
- fix spec for new version of profile
* Fri Dec 13 2013 simon@simotek.net
- Fork for enlightenment e18 and make it work.
* Fri Dec 13 2013 simon@simotek.net
- rename to e17-*
* Fri Oct 18 2013 simon@simotek.net
- Fixed bug 844178
  Removed Ctrl+W (Close Window) Key binding
  Moved swich workspace to Alt+Shift F* from Alt F*
    (Alt F2 and Alt F4 were used for other bindings)
* Sat Sep 28 2013 simon@simotek.net
- Use openSUSE theme as main theme and for splash,
  Icon is now green
* Fri Sep 13 2013 simon@simotek.net
- And version really should match the version of the tar.
  This time i will wait for it to build to submit it
* Fri Aug 30 2013 simon@simotek.net
- Removed ls that was added for debugging then forgotten about
* Sun Aug 18 2013 simon@simotek.net
- let there be a working profile in e-profiles-openSUSE
  Still need some work, but key bindings and the theme are working
* Fri Jan 11 2013 sleep_walker@suse.cz
- add LICENSE and AUTHORS files
- correct license of the package
* Wed Jan  9 2013 sleep_walker@suse.cz
- replace %%make_install with make install DESTDIR="%%buildroot"
* Wed Jan  9 2013 sleep_walker@suse.cz
- let there be e-profiles-openSUSE!
